nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
nx::sdk::DeviceInfo Class Reference
Inheritance diagram for nx::sdk::DeviceInfo:

## Public Member Functions
virtual const char * | id () const override
virtual const char * | vendor () const override
virtual const char * | model () const override
virtual const char * | firmware () const override
virtual const char * | name () const override
virtual const char * | url () const override
virtual const char * | login () const override
virtual const char * | password () const override
virtual const char * | sharedId () const override
virtual const char * | logicalId () const override
virtual int | channelNumber () const override
void | setId (std::string id)
void | setVendor (std::string vendor)
void | setModel (std::string model)
void | setFirmware (std::string firmware)
void | setName (std::string name)
void | setUrl (std::string url)
void | setLogin (std::string login)
void | setPassword (std::string password)
void | setSharedId (std::string sharedId)
void | setLogicalId (std::string logicalId)
void | setChannelNumber (int channelNumber)
Public Member Functions inherited from nx::sdk::RefCountable< IDeviceInfo >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::Interface< IDeviceInfo >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const

## Additional Inherited Members
Static Public Member Functions inherited from nx::sdk::IDeviceInfo
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Protected Member Functions inherited from nx::sdk::Interface< IDeviceInfo >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ channelNumber()

int nx::sdk::DeviceInfo::channelNumber | ( |  | ) | const
| overridevirtual

Returns
  Zero-based index of a channel represented by the device.

Implements nx::sdk::IDeviceInfo.

## ◆ logicalId()

const char * nx::sdk::DeviceInfo::logicalId | ( |  | ) | const
| overridevirtual

Returns
  Id of the device assigned by a VMS user. Used for integrations with third-party systems.

Implements nx::sdk::IDeviceInfo.

## ◆ sharedId()

const char * nx::sdk::DeviceInfo::sharedId | ( |  | ) | const
| overridevirtual

Returns
  Id of the group of the devices this device belongs to. For example, all the channels of an NVR or multichannel encoder have the same sharedId.

Implements nx::sdk::IDeviceInfo.

The documentation for this class was generated from the following files:

- src/nx/sdk/helpers/device_info.h
- src/nx/sdk/helpers/device_info.cpp